import * as $dara from '@darabonba/typescript';
export declare class DescribeEipSegmentResponseBodyEipSegmentsEipSegment extends $dara.Model {
    creationTime?: string;
    descritpion?: string;
    instanceId?: string;
    ipCount?: string;
    name?: string;
    regionId?: string;
    segment?: string;
    status?: string;
    zone?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEipSegmentResponseBodyEipSegments extends $dara.Model {
    eipSegment?: DescribeEipSegmentResponseBodyEipSegmentsEipSegment[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEipSegmentResponseBody extends $dara.Model {
    eipSegments?: DescribeEipSegmentResponseBodyEipSegments;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * F7A6301A-64BA-41EC-8284-8F4838C15D1F
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 10
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
